%define name	ical
%define version	2.3.2
%define release	%mkrel 2

Summary:	An X Window System-based calendar program
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	http://www.annexia.org/_file/%{name}-%{version}.tar.bz2
Source1:	ical-icons.tar.bz2
Patch4:		ical-2.2-no-locincpth.patch
Patch5:		ical-2.2-duplicates.patch
Patch6:		ical-2.2-alarm-arrow.patch
Patch7:		ical-2.2-autoflags.patch

Url:		http://www.annexia.org/freeware/ical/
License:	BSD-like
Group:		Office
BuildRequires:	tk tk-devel tcl tcl-devel XFree86-devel autoconf
Requires:       tcl tk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ical is an X Window System based calendar program. Ical will easily
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

%prep
%setup -q
%patch4 -p1 -b .no-locincpth
%patch5 -p1 -b .duplicates
%patch6 -p1 -b .alarm-arrow
%patch7 -p1 -b .autoflags
autoconf
# FIXME: make it lib64 aware, better fix tcl/tk for 9.2
perl -pi -e "/(TCL|TK)_EXEC_PREFIX/ and s|/lib\b|/%{_lib}|g" configure

cd types
autoconf
cd -

%build
# FIXME: get it right for 9.2
%configure2_5x --with-tclsh=%{_bindir}/tclsh --with-tclconfig=%{_libdir} 
%make

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall
install -m644 doc/ical.man $RPM_BUILD_ROOT%{_mandir}/man1/ical.1

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=An X Window System-based calendar program
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;Calendar;
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

#nuke unpackaged files
rm -f $RPM_BUILD_ROOT%{_prefix}/man/man1/ical.1

%post
## menu
%update_menus
%update_icon_cache hicolor

%postun
## menu
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT ANNOUNCE CHANGES.html README TODO
%doc doc/ical.html doc/ical.doc
%doc doc/interface.html doc/interface.doc
%{_bindir}/ical*
%{_mandir}/man1/ical.1*
%{_prefix}/lib/ical
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Mon Oct 01 2007 Adam Williamson <awilliamson@mandriva.com> 2.3.2-2mdv2008.0
+ Revision: 94318
- rebuild against tcl / tk 8.5 (#34293)
- add several doc files
- update ical-icons.tar.bz2 for xdg icon spec
- drop old menu and X-Mandriva category
- correct autoconf buildrequires
- new license policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Nov 08 2006 Pascal Terjan <pterjan@mandriva.org> 2.3.2-1mdv2007.0
+ Revision: 78512
- XDG menu
- 2.3.2
- New URL
- Dropped old patches
- mkrel
- BuildRequires autoconf
- XDG menu
- Import ical

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2-33mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Fri Nov 19 2004 Michael Scherer <misc@mandrake.org> 2.2-32mdk 
- add Requires tcl tk

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2-31mdk
- Fix menu

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 2.2-30mdk
- Rebuild

* Wed May 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.2-29mdk
- fix buildrequires

